%define	major	1
%define	libname	 %mklibname %name %major
%define develname %mklibname -d %name

%define badlibname %mklibname speex 1
%define baddevname %mklibname -d speex 1


Name:		speexdsp
Summary:	An open-source, patent-free speech codec
Version:	1.2.0
Release:	%mkrel 2
License:	BSD
Group:		Sound
URL:		http://www.speex.org/
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}%{?beta}.tar.xz

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex DSP
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex DSP.

%package -n	%develname
Summary:	Speex DSP development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%develname
Speex DSP development files.

%prep
%setup -q -n %{name}-%{version}%{?beta}
%apply_patches

%build
export CFLAGS='%optflags -DRELEASE'
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libspeexdsp.so.%{major}*

%files -n %develname
%doc doc/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speexdsp.pc


%changelog
* Wed Sep 09 2020 tex - 1.2.0-2pclos2020
- rebuild

* Fri Jul 05 2019 tex - 1.2.0-1pclos2019
- new version: 1.2.0
